Какая именно информация показывается, зависит от системы. На некоторых системах информация об IRQ пока не может быть показана.
Автор раздела
Перевод на русский Виталий Лопатин vitls@chat.ru
Клавиатура
В этом модуле вы можете настроить свою клавиатуру
Действие этих настроек будет зависеть от того, какие именно возможности поддерживаются вашей клавиатурой и X-сервером, на котором работает KDE. Например, может оказаться, что задание громкости щелчка при нажатии на клавишу не влияет ни на что.
Раскладка
Здесь вы можете выбрать раскладку клавиатуры из числа доступных в KDE или вообще отключив выбор раскладок, отметив флажок Отключить выбор раскладок клавиатуры.
Первое, что следует указать - это собственно Модель клавиатуры.
Далее задайте Основную раскладку, которую будете использовать, которая зависит от действительного расположения клавиш на клавиатуре.
Дополнительных раскладок из приведенного списка можно выбрать столько, сколько вам нужно.
При включении дополнительных раскладок в лотке системной панели появится иконка. Сначала на ней будет отражаться ваша первичная раскладка. Вы можете щелчком правой кнопки мыши по иконке вызвать меню с выбором раскладок или настроить сам модуль, выбрав пункт меню Настройка....
Дополнительно
Повтор нажатий
При включении этой опции символ будет повторно вводиться при нажатой клавише, пока вы ее не отпустите, то есть вам не нужно будет многократно нажимать и отпускать клавишу.
Почти всем пользователям будет полезен данный режим, так как с ним многие операции редактирования и перехода в документе с помощью стрелок становятся проще.
Громкость нажатия на клавишу
Если это поддерживается вашей аппаратурой и системой, вы будете слышать щелчки из системного динамика компьютера при нажатии на клавиши. Короче говоря, это эффект щелчка механической пишущей машинки. Можно изменить громкость звука, перетаскивая ползунок или с помощью стрелок. Значение громкости 0% отключает звук.
На многих компьютерах эта возможность недоступна.
Мало кто будет ее и включать, потому что она вообще-то раздражает окружающих. Однако, если вам захочется чего-то доброго и хорошо знакомого со времен, когда не было компьютеров и клавиатур, вы сможете в полной мере вкусить это чувство.
Индикатор NumLock при запуске KDE
NumLock можно Включить, Выключить или не изменять его статус при запуске KDE.
Автор раздела
Ellis Whitehead kde@ellisw.net
Обновление для KDE 2.2 - Lauri Watts lauri@kde.org
Перевод на русский - Григорий Мохин mok@kde.ru
Информация о памяти
Этот модуль показывает текущее использование памяти. Она постоянно обновляется и пожет быть полезна для определения узких мест при выполнении приложений.
Типы памяти
Первое, что вы должны усвоить, это то, что существует два вида памяти, доступной операционной системе и программам, которые в ней выполняются.
Первый тип памяти называется физическим. Это память, которая находится на микросхемах внутри компьютера. Это, так называемая RAM (Random Access Memory, или ПЗУ), ее вы приобретаете вместе с компьютером.
Второй тип памяти называется виртуальным или подкачкой. Это блок памяти, расположенный на жестком диске. Операционная система резервирует пространство на диске для раздела подкачки. Она может использовать эту виртуальную память (или подкачку) если ей не хватает физической памяти. Причина, по которой такая память названа подкачкой - это то, что операционная система сохраняет ненужные данные в зарезервированном пространстве. А те, которые нужны сейчас загружает в оперативную память. Система обменивает ненужные данные на те, что нужны сейчас, то есть подкачивает их. Виртуальная память (подкачка) не так быстра как ОЗУ, поэтому операционная система пытается по мере возможности использовать физическую память.
Общая память - это сумма размеров физической и виртуальной памяти.
Это окно поделено на верхнюю и нижнюю секции
Верхняя секция показывает общий размер физической памяти, размер свободной памяти, разделенной памяти и буферов.
Все четыре значения представлены как общее количество байт, и как число мегабайт (1 мегабайт примерно равен 1 000 000 байт)
Нижняя секция показывает вам три графика:
Общая память (комбинация физической и виртуальной памяти).
Физическая память.
Виртуальная память (подкачка).
Зеленые области - свободно памяти, красные - занято.
Точные значения размеров каждого типа памяти не принципиально и они постоянно меняются. Пока вы рассматриваете это страницу вид изменится.
Есть ли у вас достаточно свободного пространства (зеленые области)? Если нет вы должны увеличить раздел подкачки или нарастить ОЗУ.
Также если ваш компьютер кажется вялым: заполнена физическая память и уже вовсю работает диск? Это указывает на то, что у вас нет достаточной физической памяти, и ваш компьютер перебрасывает на медленную виртуальную память часто используемые данные. Увеличение ОЗУ даст лучшую отдачу от компьютера.
Michael McBride mpmcbride7@yahoo.com
Перевод на русский - Виталий Лопатин vitls@chat.ru
Настройки MIDI
Этот модуль используется для того, чтобы определить, какое устройство MIDI должен использовать KDE. Также, если вы хотите, можно установить оболочку (wrapper) для устройства MIDI.
Пользоваться этим модулем очень просто. Щелкните один раз мышкой по MIDI -устройству, которое вы хотели бы использовать.
Если вы хотите использовать картограф MIDI, отметьте флажок Использовать картограф MIDI. Тогда вы сможете указать карту в текстовом поле, расположенном ниже. Вы можете щелкнуть по значку папки, чтобы просмотреть файловую систему и выбрать нужную вам карту.
Mike McBride mpmcbride7@yahoo.com
Перевод на русский - ВладимирЧепель slvun@mail.ru
Микшер
В этом модуле можно настроить некоторые из базовых параметров KMix - микшера KDE.
Первый раздел касается уровней громкости. Вы можете сохранить текущие значения уровней громкости в качестве значений по умолчанию. Можно также восстановить сохраненные уровни громкости.
При включении опции Восстановить уровни громкости при запуске KDE уровни громкости будут устанавливаться в их значения по умолчанию при запуске KDE.
На другой вкладке вы можете указать, как KMix будет опрашивать вашу звуковую плату.
С помощью ползунка Максимальное число опрашиваемых микшеров вы можете задать, сколько звуковых плат будет опрашивать KMix. Если у вас только одна звуковая плата, следует указать здесь значение 1. Большие значения привели бы к тому, что KMix продолжил бы поиск звуковых плат, что замедлило бы его запуск.
С помощью ползунка Максимальное число опрашиваемых устройств на один микшер задается, сколько устройств будет опрашивать KMix на звуковой плате. Увеличьте это значение, если драйвер вашей звуковой платы предоставляет больше микшеров, чем находит KMix.
Автор раздела
Перевод на русский - Григорий Мохин mok@kde.ru
Панель
Введение
Панель KDE (иногда называемая Kicker) находится внизу экрана, когда вы запускаете KDE в первый раз. Панель обеспечивает быстрый доступ к приложениям и облегчает организацию рабочего стола. Использовать панель KDE можно, например, для:
запуска приложений через K -меню или с помощью кнопок на панели
переключаться между различными рабочими столами, используя кнопки переключателя рабочих столов
переключаться между различными окошками, а также сворачивать и распахивать их
использовать обозреватель для просмотра содержимого каталога
запускать дополнительные аплеты, которые расширяют функциональность панели, например, микшер, часы, или системный монитор
Расположение
В меню Расположение можно настроить основные свойства панели KDE (т.е. свойства, присущие всем панельным приложениям; Далее мы перейдём к более специфическим настройкам).
Разделы жесткого диска
Что именно показывается, зависит от системы. На некоторых платформах информация о разделах все еще недоступна.
Первые две колонки - это major и minor номера соответственно. Третья колонка - это число блоков (обычно 1 блок равен 1024 байт). Четвертая колонка - это метка устройства.
Перевод на русский - Григорий Мохин mok@kde.ru, 2001.
Шина PCI и PCI -платы
Что именно показывается, зависит от системы. На некоторых платформах информация о PCI может быть все еще недоступна.
Каждый элемент начинается с номера шины, устройства и функции.
Перевод на русский - Григорий Мохин mok@kde.ru
PCMCIA
Этот модуль служит для показа сведений о платах PCMCIA
Что именно показывается, зависит от системы. На большинстве машин вообще не выводится никакая информация.
Автор раздела
Перевод на русский - Григорий Мохин mok@kde.ru
Информация о процессоре
Что именно показывается, зависит от системы. На некоторых платформах информация о процессоре все еще недоступна.
Авторы раздела
Перевод на русский - Виталий Лопатин vitls@chat.ru
Сведения о звуковой плате и драйвере
Что именно показывается, зависит от системы. На некоторых платформах информация о звуковой плате все еще недоступна.
Пользователь не может изменять никакие настройки на этой странице.
Перевод на русский - Григорий Мохин mok@kde.ru
Псевдонимы обозревателя
Введение
Когда Konqueror отправляет запрос на web-сайт, на сайт отправляется базовая идентификационная информация в форме заголовка описания обозревателя.
Из-за некоторых различий в функциональности отображения HTML, сайты, ориентированные на какой-то определенный обозреватель, зачастую могут быть отображены неверно в каком-либо другом обозревателе. Некоторые веб-сайты могут проверять сведения в заголовке и выдавать код HTML в виде, наиболее подходящем для используемой версии обозревателя.
Временами вы можете обнаружить, что некоторые веб-сайты отказываются корректно функционировать по причине того, что вы используете программу, которую сайт не признает как как подходящую. В этих случаях вы можете обмануть эти сайты, используя Konqueror, путем подмены названия обозревателя в заголовке описания.
Использование
В этом модуле Центра управления KDE вы можете указать строку описания, которой будет представлять себя Konqueror. Можно настроить эту информацию отдельно для каждого сайта. Обычно список сайтов, для которых существуют подобные настройки, не заполнен, поэтому Konqueror будет использовать строку описания по умолчанию.
Для настройки новой строки описания для определенного сайта введите имя сервера или домена в поле сверху, отмеченное как При соединении с.... Учтите, что вы не можете использовать символ * в этом поле. В то же время строка kde.org будет обозначать все хосты в домене kde.org.
После ввода имени сервера введите саму строку описания в поле использовать строку описания или выберите из списка требуемую строку описания. Если вы хотите ввести строку описания вручную, то вы должны быть уверены в правильности написания этой строки. К примеру, вы можете ввести Mozilla / 4.0 (Compatible; MSIE 4.).
В поле, отмеченом как Псевдоним строки описания вы можете ввести псевдоним для настроенной привязки, например, Netscape Navigator 4.75 на Linux для строки описания Mozilla / 4.75 (X11; U; Linux 2.2.14 i686).
Вы можете выбрать существующую запись в списке Псевдоним для хостов / доменов, после чего изменить настройки записи, нажав кнопку Изменить.
Нажмите кнопку Новое... для создания новой привязки. Для удаления существующей привязки нажмите кнопку Удалить. Кнопка Очистить очистит содержимое всех полей ввода, но не затронет уже настроенных привязок. Нажмите кнопку Применить для активации сделанных изменений.
Вы можете использовать флажки наверху экрана для создания вашей личной строки описания путем выбора комбинации, состоящей из имени и версии операционной системы, платформы, типа процессора и языковых настроек.
Автор раздела:
В написании этого раздела участвовали:
Krishna Tateneni tateneni@pluto.njcc.com.
Jost Schenck jost@schenck.de.
Перевод на русский: Альберт Валиев arkstone@mail.ru
Информация о Х сервере
Эта страница полезна для получения информации о вашем Х-сервере и о текущем Х-сеансе.
Когда вы открываете этот модуль, вам показывается некая информация. Левая часть окна организована в виде дерева. Некоторые элементы имеют в начале знак плюса. Щелкая на плюсе, вы открываете подменю, относящееся к элементу. Щелчок на символе минуса в начале элемента скроет от вас подменю.
Правая часть экрана - это индивидуальное значение для каждого параметра в левой части.
Представленная информация будет сильно зависеть от настроек.
Некоторые настройки могут не определять некоторые или все из указанных параметров.
Вы не можете ничего изменять из этого меню. Оно служит только для информации.
Michael McBride mpmcbride7@yahoo.com
Перевод на русский Виталий Лопатин vitls@chat.ru
Как связаться с командой KDE
Списки рассылки
У KDE есть списки рассылки, причем несколько. См. ниже текущий список. Архивы этих списков доступны на сервере архивов.
kde-request@kde.org - KDE
Общие вопросы
kde-announce-request@kde.org - kde-announce
Объявления о новых версиях KDE, равно как о новых инструментах и приложениях
kde-user-request@kde.org - kde-user
Пользователи KDE. Здесь вы можете попросить о помощи.
kde-devel-request@kde.org - kde-devel
Разработчики KDE
kde-licensing-request@kde.org - kde-licensing
Вопросы лицензирования
kde-look-request@kde.org - kde-look
Обсуждение внешнего вида и интерфейса
kde-artists-request@kde.org - kde-artists
Создание изображений и оформление
kde-doc-english-request@kde.org - kde-doc-english
Документация KDE
kde-i18n-doc-request@kde.org - kde-18n-doc
Перевод на другие языки и документация
http: / /i18n.kde.org / teams / "
Для сведений о соответствующих списках на других языках зайдите на указанный сайт.
Эти адреса служат для подписки и ее отмены, и только. При подписке вы получите сообщение с информацией о пользовании списком и об изменении своих параметров подписки.
Не посылайте письма, предназначенные в списки рассылки, по этим адресам.
Не используйте HTML в своих запросах к серверу, так как это затрудняет его работу. Если адрес подписки именно тот, с которого вы посылаете письмо, можно его опустить в теме сообщения и оставить только subscribe.
Как связаться с разработчиками KDE?
Адреса разработчиков указаны в документации и исходниках самих приложений.
Официальные контакты
Зайдите на страницу официальных представителей KDE, если вам требуется с ними связаться.
Дальнейшая информация
Ее можно получить на сайте http: / /www.kde.org.
О FAQ
Какой вклад я могу внести в составление FAQ?
Во-первых, отправляйте нам все найденные ошибки, ваши предложения и все, что вы считаете недостаточно ясным (а также, если возможно, то, что вы считаете более ясным). Наш адрес kde-faq@kde.org.
Во-вторых, отправляйте нам ваши ответы на те часто задаваемые вопросы, которые еще не включены в FAQ. Как только появится возможность, они будут туда добавлены.
И наконец, пользуйтесь FAQ. Внимательно прочтите FAQ (и другую документацию) до того, как отправлять вопросы в различные списки рассылки и группы новостей KDE.
Вы, возможно, захотите стать разработчиком FAQ. Подробная информация об этом находится в.
Как стать разработчиком FAQ?
Стать разработчиком FAQ очень просто. Нам всегда нужны новые люди. Просто отправьте нам сообщение по адресу kde-faq@kde.org.
Настройка KDE
Как установить язык, используемый в KDE?
Существует два способа, как установить язык, используемый для сообщений KDE:
Используя переменную окружения LANG
Второй метод использует стандартные локальные настройки в вашей системе. Для того, чтобы изменить язык, просто укажите соответствующую переменную окружения LANG. Например, если у вас оболочка bash и вы хотите, чтобы основным языком был русский, выполните export LANG=ru_RU.KOI8-R.
Существует ли в KDE переключатель клавиатуры для международных клавиатур?
Как заменить стандартную строку текстового приглашения Linux на вход в систему на экран KDE?
Расположение kdm на вашей системе может быть и другим.
Рискованно запускать графический вход в систему, не убедившись, что он работает. Если он не функционирует, вам будет довольно трудно оттуда выбраться.
Я хочу, чтобы щелчок левой кнопки мыши в любом месте на экране рабочего стола вызывал K -меню.
Где можно найти сведения о темах KDE?
Посетите сайт http: / /kde.themes.org /.
Как изменять типы MIME?
KDE (kdm) не читает мой .bash_profile!
xdm (и kdm) не запускает login shell, поэтому файлы .profile, .bash_profile, etc. просто отсутствуют. При загрузке xdm сначала запускает Xstartup как администратор, а затем Xsession как пользователь. Поэтому, чтобы добавить профиль пользователя, обычно вносят соответствующие дополнения в файл Xsession. Отредактируйте файлы Xsession и .xsession.
Как использовать в KDE шрифты TrueType?
Если у вас есть набор шрифтов TrueType из Microsoft Windows, отредактируйте в файле XF86Config доступ к папке с этими шрифтами. А затем дайте указание KDE использовать новые шрифты при помощи администратора шрифтов.
Есть ли возможность вводить символ Евро-валюты в KDE и работать с ним?
И да, и нет. За дополнительной информацией обращайтесь на: http: / /www.koffice.org / kword / euro.phtml.
Для приложений, не входящих в K -меню, нажмите правую кнопку на рабочем столе и выберите пункт Создать новую Ссылку на приложение, а затем настройте саму ссылку.
Сначала убедитесь в том, есть ли у вас права для подключения / отключения устройства.
Где хранятся пиктограммы?
Почему не работает системный звук, например, при открывании окон?
Где взять KDE
Где взять KDE?
Распространяются ли с KDE дистрибутивы Linux?
Да, KDE уже поставляется с основными дистрибутивами Linux. Поскольку для построения дистрибутива требуется время, в них не всегда содержится самая последняя версия, но все же они достаточно приемлемы для начала и к тому же их присутствие позволяет избежать скачивания с Интернета.
Список дистрибутивов, с которыми поставляется KDE, можно найти здесь.
Какая последняя версия KDE?
Где найти версии KDE в разработке (снапшоты)?
Где взять Qt?
Qt включен и в большинство последних дистрибутивов Linux. О том, какая версия Qt вам необходима, можно узнать из раздела.
Кстати, что такое Qt?
Qt - это основанная на C+ + библиотека классов для построения пользовательских интерфейсов, которая также содержит многочисленные вспомогательные классы, такие как классы строк и классы для обработки ввода и вывода. Большинство таких элементов, как меню, кнопки, регуляторы и т.п., с которыми вы встречаетесь в приложениях KDE, поставляются именно этой библиотекой.
Qt представляет из себя многоплатформенную библиотеку, позволяющую создавать код, компилируемый как на системах UNIX, так и Windows. Подробней узнать о Qt можно на http: / /www.trolltech.com.
Для будущих новообращенных
KDE не работает на Windows 95 / 98 / NT и OS / 2 (пока). Чтобы запустить KDE, вам нужна система UNIX. Дополнительная информация находится в разделе.
В конце концов, вы готовы приступить к установке KDE. Начинайте читать следующий раздел. О том, где взять KDE читайте в разделе. И последнее, если при установке KDE вы столкнулись с проблемами, не стесняйтесь воспользоваться списками рассылки и группами новостей KDE. Но помните: нет глупых вопросов, но есть вопросы, на которые глупо отвечать, в особенности, если ответы на них уже даны в FAQ.
Доступные форматы пакетов
Базовый дистрибутив на сегодняшний день состоит из одиннадцати пакетов. Некоторые из них необходимы, другие устанавливаются по желанию. Все пакеты можно получить в указанных выше форматах.
Необходим
kdebase
По желанию
kdeartwork
Дополнительные обои, темы, стили, звуки...
По желанию
kdegames
Различные игры, такие как маджонг, змеиные гонки, астероиды и тетрис.
По желанию
По желанию
kdemultimedia
Приложения мультимедиа, такие как CD -проигрыватель и микшер.
По желанию
kdeadmin
Программы системного администрирования.
Развлечения!
По желанию
Необходимо установить пакет kdelibs первым. Все остальные пакеты устанавливаются в произвольном порядке.
Не забудьте прочитать файлы README and INSTALL, если они присутствуют.
Пакеты Debian устанавливаются в соответствии со стандартом файловой иерархии FHS (File Hierarchy Standard).
Установка пакетов RPM
станьте администратором
Поскольку способ сборки KDE постоянно изменяется и обновляется, за новейшими инструкциями по установке пакетов с исходными текстами обращайтесь на страницу Установка из исходников.
По умолчанию пакет .tar.bz2 с исходными текстами устанавливается в / usr / local / kde. Можно переопределить эту настройку при помощи --prefix в скрипте configure.
соберите пакет: make
Помните, что неразумно устанавливать LD_LIBRARY_PATH вслепую. В подавляющем большинстве случаев в этом нет необходимости, а также вреда от этого больше, чем пользы. Имеется web-страница, которую написал Dave Barr, где объясняются отрицательные стороны LD_LIBRARY_PATH; она находится на http: / /www.cis.ohio-state.edu / ~barr / ldpath.html.
Некоторые системы (в особенности Red Hat Linux) вместо этого используют .Xclients.
Нужно ли удалять старую версию перед тем, как устанавливать новую?
RPM и пакеты Debian должны сами обо всем позаботиться.
Одного необходимо избегать: это устанавливать параллельно две и более версии KDE. Такое может произойти, если для разных версий указаны разные каталоги. Результат может быть непредсказуем. То же самое верно и в отношении Qt, если одновременно установлены разные версии. Это с легкостью может случиться, если старая версия установлена вместе с дистрибутивом Linux.
Самый удобный способ запуска KDE - это использование скрипта startkde. Просто вставьте строку startkde в конце файла .xsession (или .xinitrc, или .Xclients, если вы не пользуетесь ни kdm, ни xdm). А также удалите строки, запускающие предыдущий оконный менеджер. Если в вашем домашнем каталоге нет ни .xsession, ни .xinitrc, ни .Xclients, просто создайте новый файл, состоящий из одной строки, содержащей startkde.
Да, можно устанавливать KDE в каком угодно каталоге. Что именно вам нужно сделать зависит от того, какие пакеты вы желаете установить:
Добавьте следующее в файлы инициализации. Обратите внимание, если нет необходимости задавать LD_LIBRARY_PATH, лучше этого и не делать.
Для csh и tcsh:
Пакеты RPM
Однако, на системах, использующих теневые пароли, хранители экрана должны быть suid, чтобы позволять разблокировку экрана через пароль; поэтому работать это не будет.
startkde дает сбой с сообщением не могу связаться с X-сервером. В чем дело?
X-сервер запускается командой startx. startkde - это скрипт, который должен запускаться из .xinitrc, .xsession или .Xclients для активизации оконного менеджера и необходимых серверных демонов для KDE. См. также.
Если вы можете запустить на нем X Window System, у вас не должно быть проблем и с запуском KDE. А также, вам могут пригодиться следующие ссылки:
http: / /www.sanpei.org / Laptop-X / note-list.html
Допустим, по умолчанию это / opt / kde, а вы хотите перенести в / usr / local / kde. Вот что вам нужно сделать:
если вы еще не администратор, станьте им
ln -s / usr / local / kde / opt / kde
Какие файлы можно удалить из каталога установки KDE? Безопасно ли удалять все файлы *.h, *.c и *.o?
Пропадут ли все мои настройки, если обновить KDE?
При компиляции kdebase появляется bin / sh: msgfmt: command not found!
Как удалить собранные из исходников приложения KDE?
Что случилось с поддержкой GIF?
Как установить темы KDE?
В KDE 2.2.1 есть менеджер тем; за дополнительной информацией обратитесь в раздел помощи Центра управления или на kde.themes.org.
Введение
Что такое KDE?
KDE - это интерактивная рабочая среда. Инициировал проект KDE Matthias Ettrich в 1996 году. Задачей проекта является объединить мощь операционных систем UNIX и удобство современного пользовательского интерфейса.
Короче говоря, KDE прокладывает дорогу UNIX на ваш рабочий стол!
На каких платформах KDE предположительно будет работать?
KDE - это рабочая среда для всех версий UNIX. Хотя большинство разработчиков KDE используют Linux, KDE относительно гладко работает в ряде систем. Однако, чтобы скомпилировать KDE на другом, не столь популярном варианте UNIX, или же если вы не используете средства разработки GNU, в особенности компилятор gcc, вам, возможно, придется немного подправить исходный код.
Почти обо всех системах, на которых работает KDE, написано на ÐÐ»Ð°ÑÑÐ¾ÑÐ¼Ñ Ð´Ð»Ñ KDE
KDE - это оконный менеджер?
Нет, KDE - не оконный менеджер, а представляет из себя гораздо большее, хотя в KDE действительно входит оконный менеджер (KWin).
KDE - это полноценная интегрированная рабочая среда.
KDE предоставляет полную рабочую среду, включающую Web-обозреватель, файловый менеджер, оконный менеджер, системы помощи и настройки функциональных возможностей, многочисленные инструменты и утилиты, постоянно возрастающее количество приложений, в их числе почтовый клиент, программы чтения новостей и работы с графикой, просмотрщики PostScript и DVI и т.д..
KDE - это копия CDE, Windows 95 или Mac OS?
Нет, KDE - это не копия. В особенности, не копия CDE или Windows. Несмотря на то, что разработчики стараются перенести в KDE самые лучшие свойства всех существующих рабочих сред, KDE - это действительно уникальная среда.
KDE - свободное программное обеспечение?
Да, KDE является свободным программным обеспечением согласно GNU General Public License. Все библиотеки KDE доступны в соответствии с LGPL, что делает возможным коммерческую разработку программного обеспечения для рабочей среды KDE; однако все приложения KDE находятся под лицензией GPL.
Совершенно законно бесплатное перенесение KDE и Qt на компакт-диски.
Можете ли вы дозвониться до вашего интернет-провайдера, не пользуясь kppp? Если нет, то kppp, возможно, тут ни при чем.
Если у вас все же возникли проблемы, вот что может помочь их разрешить:
Для того чтобы проверить, зафиксированы ли новые параметры, выполните следующее:
Добавьте debug и kdebug (каждый на отдельной строке) в файле / etc / ppp / options и перезапустите PPP. Сообщения по отладке, в том числе настройки MRU и MTU, вы найдете в / var / log / messages.
Qt написан на C+ + и тем самым делает возможной объектно-ориентированную разработку, обеспечивающую эффективность и повторное использование кода, в проекте такого масштаба, как KDE. По нашему мнению, нет лучшего инструментария для систем UNIX, а пытаться строить KDE не на основе самого лучшего было бы непростительной ошибкой.
Есть ли в KDE эмуляторы терминала с прозрачным фоном?
Как создать пиктограммы для приложений не из KDE, которые можно включить в K -меню? Куда идут эти пиктограммы (или kdelnk)?
При помощи редактора меню kmenuedit. Для этого нажмите правой кнопкой мыши на кнопку K и выберите Настройки....
Действительно ли так необходимо обновлять до последней версии?
Переместите курсор на место назначения; в зависимости от конфигурации, вам, возможно, нужно будет щелкнуть левой кнопкой мыши для его активизации.
Как преобразовать стандартные меню Red Hat в пункты K -меню?
Как проверить, какой версией KDE я пользуюсь?
Для получения дополнительной информации обращайтесь напрямую в Troll Tech.
Как узнать об обновлениях в разработке?
KDE с приложениями не из KDE
Приложения не из KDE, такие как Emacs и kterm, у меня запускаются в огромных окнах и со странными шрифтами.
Панель
Как добавить приложения на панели (Kicker)?
Есть несколько способов добавления приложений на панель:
Используя меню панели
Используя файловый менеджер
Можно просто перетащить файл .desktop из окна файлового менеджера на панель.
Полезные советы
Чтение man-страниц в KDE
Быстрое перемещение или изменение размера окон
Закрывание окон в KDE
KDE этого не делает. Свернутое окно просто исчезает (но программа продолжает выполняться).
Система помощи KDE
Благодаря усилиям команды составителей документации, все базовые приложения KDE полностью документированы. Если вы хотите помочь, свяжитесь с Lauri Watts, lauri@kde.org, координатором команды по документированию. Нет необходимости в опыте, требуется лишь энтузиазм и терпение.
Нажмите на кнопку K на панели и выберите Помощь; появится главная страница системы помощи KHelpcenter.
Это открывает файл помощи к KEdit.
Интерфейс KHelpcenter
Документы содержат свои собственные средства навигации, позволяющие вам пролистывать документ при помощи ссылок Следующая, Предыдущая, Вверх и В начало, или еитать его в произвольном порядке по гиперссылкам.
На двух панелях отображается содержание системы помощи (слева) и сами файлы помощи (справа).
Панель Содержание поделена на три акладки; на первой содержится меню, показывающее всю информацию, вошедшую в Центр помощи, на второй вы можете производить поиск определенной информации, а на третьей познакомиться с глоссарием терминов KDE.
Приложения отображаются в виде дерева, повторяя структуру, которую имеет K -меню по умолчанию. Это упрощает процесс поиска нужного вам приложения.
Для поиска файлов помощи введите в рамке слово / слова, которые хотите найти, задайте параметры поиска и нажмите Поиск. Результаты будут показаны на панели справа.
Boolean (логический) синтаксис позволяет использовать операторы И, ИЛИ и НЕ для ложного поиска. Например:
Если в результате поиска вы не получили ожидаемого результата, внимательно проверьте правильность терминов и скобок в указании НЕ.
Man-страницы имеют некоторые недостатки. Они дают доскональную информацию, но они также и чрезвычайно техничны; часто они написаны разработчиками и для разработчиков. В некоторых случаях это делает их несколько недружелюбными, или вовсе непонятными для многих пользователей. Однако, это наилучший, а иногда и единственный источник надежной информации по большинству приложений, использующих командную строку.
Существуют также и Info-страницы, предназначенные для замены man-страниц. Разработчики некоторых приложений больше не обновляют man-страницы, и если существуют одновременно и man-страница и info-страница, вероятно, более свежей будет info. Однако, большинство приложений имеют или ту, или другую. Если приложение, по которому вы ищете справочную информацию, является утилитой GNU, вероятнее всего, вы найдете info-, а не man-страницу.
Предыдущая и следующая используются для перехода на предыдущую / следующую страницу на том же уровне иерархии.
Man-страницы организованы подобно info-страницам; индекс раздела является верхним узлом, а каждая man-страница - на уровень ниже. Размер каждого подраздела man-документации - одна страница.
Элементы, которые вы выбираете, перемещаясь по дереву слева, отображаются справа.
Увеличить размер шрифта
В меню есть следующие пункты:
Найти слово или слова на просматриваемой странице.
KDE в Интернете
www.kde.org
Официальный сайт KDE
kde.themes.org
Темы KDE
developer.kde.org
Центр разработки KDE
webcvs.kde.org
web-интерфейс к CVS-репозиторию KDE
i18n.kde.org
Сервер перевода и документации KDE
ftp.kde.org
Основной FTP -сервер KDE. На следующей ссылке вы можете найти ближайшее к вашему месту жительства зеркало
www.kde.org / mirrors.html
Зеркала FTP -сервера KDE
Это руководство охватывает далеко не все аспекты работы с рабочим столом KDE и даже не большую их часть. Здесь описываются только некоторые основные способы выполнения наиболее распространенных задач.
Используйте правую кнопку мыши для вызова контекстного меню панели, рабочего стола и большинства приложений KDE.
Эта кнопка называется кнопкой запуска приложений. Рядом с ней есть маленькая стрелка, указывающая вверх. Она означает, что если нажать на эту кнопку, появится меню. Попробуйте! Через это меню запускаются все приложения KDE, установленные на вашем компьютере.
Можно перемещать все элементы на панели при помощи команды Переместить в контекстном меню. Для этого нажмите третью кнопку мыши (третья кнопка мыши - это обычно правая кнопка, но если вы настроили мышь по-другому, например, для левой руки, она также может оказаться и левой). Появится выпадающее меню, в котором надо выбрать пункт Переместить. А теперь подвигайте мышь и посмотрите, как пиктограмма перемещается вдоль панели. Когда она окажется в нужном месте, просто нажмите первую (по умолчанию левую) кнопку мыши. Как вы, вероятно, заметили, имеется также пункт меню Удалить на тот случай, если какая-нибудь кнопка на рабочем столе или панели вам надоест.
Если вы следуете нашим указаниям и открыли это диалоговое окно, тогда попробуйте изменить и другие параметры; чтобы увидеть результат, нажмите на Применить. Можно легко вернуться к стандартным настройкам, нажав кнопку По умолчанию.
Если вы снова откроете это окно (которое, кстати говоря, называется minicli) и нажмете на стрелку, вы сможете просмотреть все ранее введенные команды. Также можно ввести в окне ссылку URL;, и тогда откроется окно Konqueror с указанным адресом URL.
Итак, в заключение, когда вы используете KDE, командная строка всегда находится у вас под рукой.
Во многих оконных системах, чтобы начать работать в окне, требуется щелкнуть в нем мышью.
Удерживая нажатой клавишу Alt, нажимайте Tab для последовательного переключения между окнами.
Панель задач может многое: простой щелчок левой кнопки мыши по кнопке на панели задач мгновенно переместит вас в соответствующее приложение. Чтобы свернуть / развернуть окно, щелкните по той же кнопке средней кнопкой мыши. И наконец, щелчок правой кнопки мыши вызывает контекстное меню с возможными операциями над выбранным окном.
Пиктограммы на панели задач автоматически изменяют свой размер, поэтому на ней можно разместить гораздо больше приложений, чем может показаться сначала. Если расширить панель, пиктограммы панели задач смогут располагаться рядами и колонками, но они все так же будут изменяться в размере, чтобы разместить все новые пиктограммы.
KDE поддерживает технологию прозрачного доступа к сети (Network Transparent Access - - NTA), позволяющую c такой же легкостью работать с файлами на другом конце земли, как если бы они находились на вашем жестком диске.
Если вам приходилось работать с WinZip на Microsoft Windows, вы, вероятно, будете рады узнать, что KDE может также открывать и архивы. В KDE такие архивы - - это обычные папки, то есть архив можно просмотреть, файлы - открыть и т.д. В целом, работа с файлами в Интернете и в архивах должна выглядеть точно так же, как и доступ к файлам на локальном диске, лишь с поправкой на задержку во времени, связанную с использованием сети.
KDE использует файлы .desktop для монтирования, размонтирования и доступа к файлам на дополнительных накопителях, таких как дисковод или CD-ROM.
Учтите, что на многих системах для того, чтобы смонтировать или размонтировать устройство необходимо, чтобы вы вошли в систему как root.
На вкладке Устройство введите / dev / fd0 (или путь к дисководу, как он назван в вашей системе) в строке Устройство.
Нажмите на пиктограмму размонтирования и выберите картинку дискеты без зеленого огонька.
Kate даже будет помнить, были ли у вас несохраненные изменения в документе до того, как сеанс был завершен, и сохранит их в файле по команде Сохранить из меню Файл.
Для того, чтобы привязать определенный тип файлов к специфическому приложению:
В Konqueror найдите или создайте файл с расширением, с которым вы хотите создать связь.
Перевод на русский для KDE 1.x: Петр Новодворский petya@logic.ru, 1999
Этот документ распространяется на условиях GNU Free Documentation License.
Поддержка KDE
Поддержка KDE
Для того, кто только начинает работать в KDE, сам проект KDE может показаться гигантским и невероятно сложным механизмом. Нет никакого сомнения, KDE давно уже вырос из стадии небольшого проекта. Тем не менее, следует осознать, насколько легко стать неповторимым в мире KDE.
Нам всегда будут нужны достойные программисты, художники, волшебники звуковых эффектов, переводчики и писатели. Поразмыслите хорошенько и включайтесь в этот международный проект, чтобы ваше имя прославилось в компьютерном мире.
Помимо всего прочего, у вас появится масса новых друзей и знакомых по всемы миру, вы получите большое удовольствие от реального программирования и принесете пользу неисчислимому количеству пользователелей по всему миру. С этим проектом ничто не может сравниться по масштабу и темпам развития. Включайтесь в проект, поддержите KDE и почувствуйте себя своим на борту этого корабля, совершающего увлекательное путешествие к новой открытой компьютерной платформе.
С чего начать?
Почитайте архивы списков, чтобы ощутить дух разработки KDE.
Финансовая поддержка
Команда KDE работает очень напряженно, чтобы создать лучшую графическую среду для систем UNIX.
KDE доступен свободно и всегда будет таковым, и все строки исходников до единой будут открыты каждому и доступны для улучшения и распространения. Если вам нравится KDE и вы с ним работаете, подумайте о том, чтобы оказать финансовую поддержку проекту KDE. Проекту KDE постоянно требуются средства для развития.
Если ваше расписание или обязанности не позволяют вам активно участвовать в разработке KDE, окажите помощь KDE, перечислив свой вклад на счет:
Свяжитесь с Matthias Hoelzer hoelzer@kde.org, если у вас возникнут вопросы.
Мы вам будем безмерно благодарны. Спасибо!
Что еще почитать?
Другие источники информации
Зайдите на веб-сайт KDE для получения наиболее свежей информации o KDE в Интернете. Вы также можете подписаться на наши списки рассылки.
Для того чтобы подписаться, отправьте электронное письмо по указанному адресу со строкой subscribe ваш email-адрес в "subject":
Иллюстрированное введение в KDE
Разрешается копировать, распространять и / или изменять этот документ на условиях лицензии GNU для свободной документации, версии 1.1 или более поздней, опубликованной Фондом Free Software Foundation; без неизменямых разделов, без текста на первой странице, без текста на последней странице. Копия лицензии находится здесь.
Иллюстрированное введение в интерфейс KDE. Пока этот документ очень неполон. В конечном счете мы надеемся, что он превратится в графическое руководство по KDE.
Наглядный словарь терминов KDE
Этот проект должен послужить унификации словаря терминов KDE, встречающихся в документации.
Мы начали его, чтобы пользователем было проще осваивать графический интерфейс KDE. В документации KDE используются именно эти названия, поэтому вам всегда будет ясно, о каком элементе интерфейса идет речь.
Само слово Widget означает "элемент графического интерфейса", или "кирпичик", из которых складываются детали графического интерфейса приложений.
Каждый графический элемент несет вполне определенную функцию, но само его действие зависит от того, где в программе он вызывается.
Список часто встречающихся графических элементов KDE
В настоящем документе перечисляются названия графических элементов, часто встречающихся в документации KDE, и приводятся их примеры.
Мы надеемся рано или поздно довести этот документ до завершенности, чтобы ваше путешествие по KDE было приятным и наглядным.
Разработчики и лицензирование
Visual Guide to KDE
Документация подготовлена командой KDE.
Этот документ распространяется на условиях GNU Free Documentation License.
Добро пожаловать в KDE
Команда KDE приглашает вас в удобную в работе графическую среду под Unix.
Откройте для себя десктоп KDE!
Сведения о KDE
KDE - это мощная графическая рабочая среда под Unix / Linux, интегрированная с Интернет.Она сочетает в себе простоту использования, высокуюфункциональность и выдающийся графический дизайн вместе с технологическим совершенством операционной системы Unix.
Что такое графическая среда KDE?
Как связаться с разработчиками KDE?
Как поддержать проект KDE?
Полезные ссылки
Приемы эффективной работы в KDE
Общие руководства
Обзор возможностей работы в графической среде
Руководство пользователя KDE
Часто задаваемые вопросы
Основные приложения
Панель рабочего стола:
Центр управления
Файловый менеджер
KDE нацелена на рабочие станции под управлением Unix. Среди ее отличительных особенностей - - "прозрачная" работа в сети и современная философия работы.
KDE возникла как ответ на потребность в удобной в использовании рабочей среде для рабочих станций под Unix, аналогичной уже существующим системам на базе MacOS или Windows. Основные инструменты для достижения этой цели - это улучшенные средства межпрограммных связей, повторное использование компонентов, технология "drag and drop", единый внешний вид и многое другое. Таким образом, KDE предлагает нечто большее, нежели традиционные менеджеры окон Unix.
KDE был и остается лидером в том, чтобы наделить всеми эти привлекательными чертами Unix, систему, которая повсеместно была платформой номер один для серверных применений и в научных учреждениях, но не привлекала обычных пользователей.
Эта платформа доступна всем желающим бесплатно, включая полные исходные тексты, что дает возможность их модификации.
Разработка приложений для Unix / X11 всегда была исключительно утомительной и трудоемкой задачей. Авторы KDE осознают, что любая компьютерная платформа хороша настолько, насколько велико число первоклассных приложений, созданных для нее.
Справочное руководство по KPager
Разрешается копировать, распространять и / или изменять этот документ на условиях лицензии GNU для свободной документации, версии 1.1 или более поздней, опубликованной Фондом Free Software Foundation; без неизменямых разделов, без текста на первой странице, без текста на последней странице. Копия лицензии находится здесь.
KPager cхематично изображает все виртуальные рабочие столы.
Введение
KPager cхематично изображает все ваши виртуальные рабочие столы. Это полезный инструмент, позволяющий просматривать, изменять размер и закрывать окна на любом рабочем столе, а также перемещать окна в пределах одного или между разными рабочими столами.
Использование KPager
Дополнительные возможности KPager
KPager показывает все виртуальные рабочие столы и запущенные на них приложения. Его можно использовать для выбора приложения, а также для перемещения приложений в пределах одного или между разными виртуальными рабочими столами.
Справочник по командам
Главное окно KPager
Использование мыши
В KPager вы можете активизировать приложения щелчком левой кнопки мыши.
Средняя кнопка мыши может использоваться для перемещения приложений в KPager. Можно передвигать приложения в пределах одного виртуального рабочего стола или переносить их на другой.
Щелчок правой кнопки мыши в KPager вызывает контекстное меню.
Контекстное меню
Содержимое контекстного меню зависит от того, где была нажата правая кнопка мыши: если щелчок был сделан на свободном фоне KPager, в меню будут лишь два пункта: Настройки и Выход. В случае, если щелчок был сделан в окне, в меню будут указаны имя и пиктограмма приложения, а также пункты Свернуть, Распахнуть, На рабочий стол и Закрыть. Детальное описание пунктов меню представлено ниже.
Распахнуть
Увеличивает размер окна приложения до размеров рабочего стола. Этот пункт появляется только при щелчке правой кнопки мыши в окне приложения.
Свернуть
Сворачивает приложение в пиктограмму панели. Этот пункт появляется только при щелчке правой кнопки мыши в окне приложения.
На рабочий стол
Отправляет окно приложения на выбранный виртуальный рабочий стол. Этот пункт появляется только при щелчке правой кнопки мыши в окне приложения.
Закрыть
Закрывает приложение. Этот пункт появляется только при щелчке правой кнопки мыши в окне приложения.
Настройки
Открывает диалог настроек.
Выход
Завершает работу KPager.
Настройки
В диалоге настроек есть пять флажков и две группы переключателей.
Разрешить перетаскивание окна
Если отмечен этот флажок, вы можете перемещать окна приложений в KPager средней кнопкой мыши. Можно перемещать окна приложений в пределах одного рабочего стола или переносить их на другой.
Показать название
Если отмечен этот флажок, в главном окне KPager указываются названия рабочих столов.
Показать номер
Если отмечен этот флажок, в главном окне KPager показываются номера рабочих столов. Если одновременно с этим отмечен флажок Показать название, показывается как номер, так и название рабочего стола, напр. Рабочий стол 1.
Показать фон
Если отмечен этот флажок, в KPager также будут видны (если они настроены) в виде фона обои каждого рабочего стола.
Показать окна
Если отмечен этот флажок, в KPager будут показаны приложения на рабочих столах. В противном случае, изображения виртуальных рабочих столов в KPager пусты и могут использоваться лишь для переключения между рабочими столами.
Отображение окон
Эта группа переключателей устанавливает, каким образом изображать окна приложений. Контуры покажет пустые прямоугольники с пропорциями окна приложения. Иконка покажет также их стандартную иконку, а Снимок - окна приложений с уменьшенным изображением их содержимого. Учтите, режим снимка рекомендуется использовать лишь на очень быстрых машинах.
Вид главного окна
В этой группе можно настроить вид главного окна KPager. Классический приложения в окне KPager будут расположены в два ряда, подобно переключателям окон в других оконных менеджерах. Горизонтальный расположит изображения виртуальных рабочих столов горизонтально, а Вертикальный - вертикально, например, вдоль боковой границы рабочего стола.
Вопросы и ответы
Для чего может понадобиться KPager?
KPager может использоваться как альтернатива аплету переключателя окон на панели. Его преимущество заключается в том, что он может показывать изображения иконки и снимка запущенного приложения, передвигать окна между рабочими столами и размещаться за пределами панели.
Как изменить режимы работы KPager?
Щелчок правой кнопки мыши в KPager позволяет выбрать контекстное меню с пунктом Настройки, вызывающим диалог настроек.
По умолчанию окна прозрачные. Как это отключить?
На данный момент вы не можете отключить этот параметр в диалоге настроек, но можете это сделать вручную следующим образом:
Откройте файл $KDEHOME / share / config / kpagerrc любым текстовым редактором наподобие KEdit или vi. Если у вас нет прав для записи в этот файл, вероятно, вам придется сделать это как root или связаться с вашим системным администратором. В этом файле нужно добавить новый ключ с именем windowTransparentMode и числовое значение:
Разработчики и лицензирование
KPager
Программа: copyright 2000 Antonio Larrosa larrosa@kde.org
Документация: copyright 2000 by Dirk Doerflinger ddoerflinger@web.de
Этот документ распространяется на условиях GNU Free Documentation License.
Программа распространяется на условиях лицензии GNU General Public License.
Установка
Где взять KPager
KPager - это часть проекта KDE http: / /www.kde.org /.
KPager входит в пакет kdebase на ftp: / /ftp.kde.org / pub / kde /, основном FTP -сервере KDE.
Требования
Поскольку KPager входит в пакет kdebase, необходимо лишь установить основные пакеты KDE.
Сборка и установка
Чтобы собрать и установить KPager, введите следующие команды в каталоге дистрибутива KPager:
Поскольку KPager использует autoconf и automake, у вас не должно возникнуть никаких проблем. Если же у вас возникли ошибки, сообщите о них в списки рассылки KDE.
Справочное руководство по KWorldClock
Разрешается копировать, распространять и / или изменять этот документ на условиях лицензии GNU для свободной документации, версии 1.1 или более поздней, опубликованной Фондом Free Software Foundation; без неизменямых разделов, без текста на первой странице, без текста на последней странице. Копия лицензии находится здесь.
Программа KWorldClock - часть пакета kdetoys
Введение
Документация к программе KWorldClock еще не была написана к тому времени, когда вы установили KDE.
Команда KDE
Этот документ распространяется на условиях GNU Free Documentation License.
Программа распространяется на условиях лицензии GNU General Public License.
